<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:dataTable id="relacionVincularLst" var="ent" value="#{legajoMB.instance.relacionesVinculares}"  emptyMessage="No hay resultados para esa busqueda">
            <p:column  headerText="Tipo Vínculo" >
                <p:outputLabel value="#{ent.tipoVinculoFamiliar.descripcion}" />
            </p:column>

            <p:column  headerText="Apellido y Nombre" >
                <p:outputLabel value="#{ent.poseeLegajo?ent.legajoFamiliar.apellidoYNombre:ent.familiar.apellidoYNombre}" />
            </p:column>
            
            <p:column  headerText="Posee Legajo" >
                <p:outputLabel value="#{ent.poseeLegajo?'SI':'NO'}" />
            </p:column>

			<p:column>
                <f:facet name="header">
                    <p:outputLabel value="#{legajoMB.puedeEditar()?'Editar':'Consultar'}" />
                </f:facet>
                <p:commandButton id="editRV"  action="#{legajoMB.editRelacionVincular(ent)}" 
                	icon="#{legajoMB.puedeEditar()?'ui-icon-pencil':'ui-icon-search'}" process="@this"
                	rendered="#{!ent.poseeLegajo}"
                	oncomplete="PF('panelRV').show();" update="mainForm:panelRV" >
                </p:commandButton>
            </p:column>

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update="relacionVincularLst" action="#{legajoMB.deleteRelacionVincular(ent)}" rendered="#{legajoMB.puedeEditar()}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar la relación vincular?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>	
        <p:separator />
        <p:commandButton  value="Agregar" action="#{legajoMB.editRelacionVincular(null)}" 
                	process="@this"
                	rendered="#{!ent.poseeLegajo}"
                	oncomplete="PF('panelRV').show();" update="mainForm:panelRV"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
    	       
    	
</ui:composition>
